## octave-netcdf 1.0.10

=== DESCRIPTION ===
Name: netcdf
Version: 1.0.10
Date: 2016-04-26
Author: Alexander Barth <barth.alexander@gmail.com>
Maintainer: Alexander Barth <barth.alexander@gmail.com>
Title: netcdf
Description: A MATLAB compatible NetCDF interface for Octave
Depends: octave (>= 3.4.0)
BuildRequires: netcdf-devel [Fedora]
BuildRequires: libnetcdf-dev [Debian], netcdf-bin [Debian]
License: GPLv2+
Url: http://modb.oce.ulg.ac.be/mediawiki/index.php/Octave-netcdf, http://octave.sf.net

=== src/Makefile ===
sinclude Makeconf

AWK ?= awk
MKOCTFILE ?= mkoctfile
OCTAVE ?= octave
NC_CONFIG ?= nc-config
NCHEADER=$(shell $(NC_CONFIG) --includedir)/netcdf.h
SRC=__netcdf__.cc
CFLAGS=$(shell $(NC_CONFIG) --cflags)
LIBS=$(shell $(NC_CONFIG) --libs)

all: __netcdf__.oct

constants:
	$(AWK) -f netcdf_constants.awk $(NCHEADER)  > netcdf_constants.h

clean:
	rm __netcdf__.oct 

real-clean: clean
	rm ../PKG_ADD ../inst/import_netcdf.m 

__netcdf__.oct: $(SRC) netcdf_constants.h
	$(MKOCTFILE) $(CFLAGS) $(SRC) $(LIBS)

../PKG_ADD: $(SRC)
	sh PKG_ADD.sh

check: ../PKG_ADD __netcdf__.oct	
	($(OCTAVE) -f --eval "pkg unload octcdf; addpath $$PWD; addpath $$PWD/../inst; test_netcdf")

check2: ../PKG_ADD __netcdf__.oct	
	($(OCTAVE) -f --eval "addpath $$PWD; addpath $$PWD/../inst; test_netcdf")

## octave-netcdf 1.0.11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: netcdf
-Version: 1.0.10
-Date: 2016-04-26
+Version: 1.0.11
+Date: 2016-05-19
 Author: Alexander Barth <barth.alexander@gmail.com>
 Maintainer: Alexander Barth <barth.alexander@gmail.com>
 Title: netcdf

=== src/Makefile ===
--- 
+++ 
@@ -15,10 +15,10 @@
 	$(AWK) -f netcdf_constants.awk $(NCHEADER)  > netcdf_constants.h
 
 clean:
-	rm __netcdf__.oct 
+	rm -f __netcdf__.o __netcdf__.oct
 
 real-clean: clean
-	rm ../PKG_ADD ../inst/import_netcdf.m 
+	rm -f ../PKG_ADD ../inst/import_netcdf.m
 
 __netcdf__.oct: $(SRC) netcdf_constants.h
 	$(MKOCTFILE) $(CFLAGS) $(SRC) $(LIBS)

=== debian/changelog ===
octave-netcdf (1.0.11-1) unstable; urgency=medium

  * Imported Upstream version 1.0.11
  * d/p/fix-make-clean.patch: Drop patch (applied upstream)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 21 Jun 2016 05:01:36 -0300

octave-netcdf (1.0.10-1) unstable; urgency=medium

  * Imported Upstream version 1.0.10
  * d/control: Bump Standards-Version to 3.9.8 (no changes needed)
  * d/p/fix-make-clean.patch: New patch
  * d/clean: Add file

 -- Rafael Laboissiere <rafael@laboissiere.net>  Mon, 16 May 2016 10:21:07 +0200

octave-netcdf (1.0.9-1) unstable; urgency=low

  * Initial release (closes: #819058)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Mon, 21 Mar 2016 10:35:01 -0300

=== debian/control ===
Source: octave-netcdf
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>,
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.3.3),
 libnetcdf-dev
Standards-Version: 3.9.8
Homepage: http://octave.sourceforge.net/netcdf/
Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-netcdf.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-netcdf.git

Package: octave-netcdf
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: Matlab compatible NetCDF interface for Octave
 This package contains the Octave binding to the NetCDF library,
 allowing the creation, the reading, and the display of meta-data of
 NetCDF files.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://sf.net/octave/netcdf-(.+)\.tar\.gz

## octave-netcdf 1.0.12

=== debian/changelog ===
octave-netcdf (1.0.12-3build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:11 +0100

octave-netcdf (1.0.12-3build1) focal; urgency=medium

  * No-change rebuild for netcdf soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jan 2020 18:02:10 +0100

octave-netcdf (1.0.12-3) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 07 Nov 2019 17:49:28 -0300

octave-netcdf (1.0.12-2) unstable; urgency=medium

  * d/s/options: New file
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:56:45 -0200

octave-netcdf (1.0.12-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * New upstream version 1.0.12
  * d/copyright: Relflect upstream changes
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 23 Apr 2018 01:31:50 -0300

octave-netcdf (1.0.11-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:34:27 -0200

octave-netcdf (1.0.11-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Use cgit instead of gitweb in Vcs-Browser URL
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:07 -0200

=== debian/control ===
Source: octave-netcdf
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>,
Build-Depends: debhelper-compat (= 12),
               dh-octave (>= 0.7.1),
               libnetcdf-dev
Standards-Version: 4.4.1
Homepage: https://octave.sourceforge.io/netcdf/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-netcdf.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-netcdf
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-netcdf
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: Matlab compatible NetCDF interface for Octave
 This package contains the Octave binding to the NetCDF library,
 allowing the creation, the reading, and the display of meta-data of
 NetCDF files.
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-netcdf 1.0.13

=== debian/changelog ===
octave-netcdf (1.0.13-2) unstable; urgency=medium

  * d/control: Bump debhelper compatibility level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Jul 2020 11:44:24 -0300

octave-netcdf (1.0.13-1) unstable; urgency=medium

  * New upstream version 1.0.13
  * d/copyright:
    + Reflect upstream changes
    + Add license for octave-netcdf.metainfo.xml
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 25 Mar 2020 04:56:48 -0300

## octave-netcdf 1.0.14

=== DESCRIPTION ===
Name: netcdf
Version: 1.0.14
Date: 2020-10-14
Author: Alexander Barth <barth.alexander@gmail.com>
Maintainer: Alexander Barth <barth.alexander@gmail.com>, John Donoghue <john.donoghue@ieee.org>
Title: netcdf
Description: A NetCDF interface for Octave
Depends: octave (>= 3.8.0)
BuildRequires: netcdf-devel [Fedora]
 libnetcdf-dev [Debian], netcdf-bin [Debian]
License: GPLv2+
Url: http://octave.sf.net

=== Makefile ===
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
## Copyright 2017 Julien Bect <jbect@users.sf.net>
## Copyright 2017 Olaf Till <i7tiol@t-online.de>
## Copyright 2018 John Donoghue <john.donoghue@ieee.org>
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.
TOPDIR := $(shell pwd)

## Some basic tools (can be overriden using environment variables)
SED ?= sed
TAR ?= tar
GREP ?= grep
CUT ?= cut
TR ?= tr

## Note the use of ':=' (immediate set) and not just '=' (lazy set).
## http://stackoverflow.com/a/448939/1609556
package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
$(TR) '[:upper:]' '[:lower:]')
version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")

## These are the paths that will be created for the releases.
target_dir       := target
release_dir      := $(target_dir)/$(package)-$(version)
release_tarball  := $(target_dir)/$(package)-$(version).tar.gz
html_dir         := $(target_dir)/$(package)-html
html_tarball     := $(target_dir)/$(package)-html.tar.gz
## Using $(realpath ...) avoids problems with symlinks due to bug
## #50994 in Octaves scripts/pkg/private/install.m.  But at least the
## release directory above is needed in the relative form, for 'git
## archive --format=tar --prefix=$(release_dir).
real_target_dir  := $(realpath .)/$(target_dir)
installation_dir := $(real_target_dir)/.installation
package_list     := $(installation_dir)/.octave_packages
install_stamp    := $(installation_dir)/.install_stamp

## These can be set by environment variables which allow to easily
## test with different Octave versions.
ifndef OCTAVE
OCTAVE := octave
endif
OCTAVE := $(OCTAVE) --no-gui --silent --norc
MKOCTFILE ?= mkoctfile

## Command used to set permissions before creating tarballs
FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s

GIT          := git
GIT_TIMESTAMP := $(firstword $(shell $(GIT) log -n1 --date=unix --format="%ad"))

## Detect which VCS is used
vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
ifeq ($(vcs),hg)
release_dir_dep := .hg/dirstate
endif
ifeq ($(vcs),git)
release_dir_dep := .git/index
endif

TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(GIT_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)

## .PHONY indicates targets that are not filenames
## (https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html)
.PHONY: help

## make will display the command before runnning them.  Use @command
## to not display it (makes specially sense for echo).
help:
	@echo "Targets:"
	@echo "   dist    - Create $(release_tarball) for release."
	@echo "   html    - Create $(html_tarball) for release."
	@echo "   release - Create both of the above and show md5sums."
	@echo "   install - Install the package in $(installation_dir), where it is not visible in a normal Octave session."
	@echo "   check   - Execute package tests."
	@echo "   doctest - Test the help texts with the doctest package."
	@echo "   run     - Run Octave with the package installed in $(installation_dir) in the path."
	@echo "   clean   - Remove everything made with this Makefile."


##
## Recipes for release tarballs (package + html)
##

.PHONY: release dist html clean-tarballs clean-unpacked-release

## To make a release, build the distribution and html tarballs.
release: dist html
	md5sum $(release_tarball) $(html_tarball)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "    and note the changeset the release corresponds to"

## dist and html targets are only PHONY/alias targets to the release
## and html tarballs.
dist: $(release_tarball)
html: $(html_tarball)

## An implicit rule with a recipe to build the tarballs correctly.
%.tar.gz: %
	$(TAR) -cf - $(TAR_OPTIONS) -C "$(target_dir)/" "$(notdir $<)" | gzip -9n > "$@"

clean-tarballs:
	@echo "## Cleaning release tarballs (package + html)..."
	-$(RM) $(release_tarball) $(html_tarball)
	@echo

## Create the unpacked package.
##
## Notes:
##    * having ".hg/dirstate" (or ".git/index") as a prerequesite means it is
##      only rebuilt if we are at a different commit.
##    * the variable RM usually defaults to "rm -f"
##    * having this recipe separate from the one that makes the tarball
##      makes it easy to have packages in alternative formats (such as zip)
##    * note that if a commands needs to be run in a specific directory,
##      the command to "cd" needs to be on the same line.  Each line restores
##      the original working directory.
$(release_dir): $(release_dir_dep)
	-$(RM) -r "$@"
ifeq (${vcs},hg)
	hg archive --exclude ".hg*" --type files "$@"
endif
ifeq (${vcs},git)
	git archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
	$(RM) "$@/.gitignore"
endif
## Don't fall back to run the supposed necessary contents of
## 'bootstrap' here. Users are better off if they provide
## 'bootstrap'. Administrators, checking build reproducibility, can
## put in the missing 'bootstrap' file if they feel they know its
## necessary contents.
ifneq (,$(wildcard src/autogen.sh))
	cd "$@/src" && ./autogen.sh && $(RM) -r "autom4te.cache"
endif
## Uncomment this if your src/Makefile.in has these targets for
## pre-building something for the release (e.g. documentation).
#	cd "$@/src" && ./configure && $(MAKE) prebuild && \
#	  $(MAKE) distclean && $(RM) Makefile
##
	${FIX_PERMISSIONS} "$@"

run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
                         --eval ' pkg ("load", "$(package)"); '

# html_options = --eval 'options = get_html_options ("octave-forge");'
## Uncomment this for package documentation.
html_options = --eval 'options = get_html_options ("octave-forge");' 
#html_options = --eval 'options = get_html_options ("octave-forge");' \
#               --eval 'options.package_doc = "$(package).texi";'
$(html_dir): $(install_stamp)
	$(RM) -r "$@";
	$(run_in_place)                    \
        --eval ' pkg load generate_html; ' \
	$(html_options)                    \
        --eval ' generate_package_html ("$(package)", "$@", options); ';
	$(FIX_PERMISSIONS) "$@";

clean-unpacked-release:
	@echo "## Cleaning unpacked release tarballs (package + html)..."
	-$(RM) -r $(release_dir) $(html_dir)
	@echo

##
## Recipes for installing the package.
##

.PHONY: install clean-install

octave_install_commands = \
' llist_path = pkg ("local_list"); \
  mkdir ("$(installation_dir)"); \
  load (llist_path); \
  local_packages(cellfun (@ (x) strcmp ("$(package)", x.name), local_packages)) = []; \
  save ("$(package_list)", "local_packages"); \
  pkg ("local_list", "$(package_list)"); \
  pkg ("prefix", "$(installation_dir)", "$(installation_dir)"); \
  pkg ("install", "-local", "-verbose", "$(release_tarball)"); '

## Install unconditionally. Maybe useful for testing installation with
## different versions of Octave.
install: $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

## Install only if installation (under target/...) is not current.
$(install_stamp): $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

clean-install:
	@echo "## Cleaning installation under $(installation_dir) ..."
	-$(RM) -r $(installation_dir)
	@echo


##
## Recipes for testing purposes
##

.PHONY: run doctest check

## Start an Octave session with the package directories on the path for
## interactice test of development sources.
run: $(install_stamp)
	$(run_in_place) --persist

## Test example blocks in the documentation.  Needs doctest package
##  https://octave.sourceforge.io/doctest/index.html
doctest: $(install_stamp)
	$(run_in_place) --eval 'pkg load doctest;'                                                          \
	  --eval "targets = '$(shell (cd inst && ls *.m) | $(CUT) -f2 -d@ | $(CUT) -f1 -d.)';" \
	  --eval "targets = strsplit (targets, ' ');  doctest (targets);"


## Test package.
octave_test_commands = \
' pkgs = pkg("list", "$(package)"); \
  dirs = {pkgs{1}.dir}; \
  __run_test_suite__ (dirs, {}); '
## the following works, too, but provides no overall summary output as
## __run_test_suite__ does:
##
##    else cellfun (@runtests, horzcat (cellfun (@ (dir) ostrsplit (([~, dirs] = system (sprintf ("find %s -type d", dir))), "\n\r", true), dirs, "UniformOutput", false){:})); endif '
check: $(install_stamp)
	$(run_in_place) --eval $(octave_test_commands)


##
## CLEAN
##

.PHONY: clean

clean: clean-tarballs clean-unpacked-release clean-install
	@echo "## Removing target directory (if empty)..."
	-rmdir $(target_dir)
	@echo
	@echo "## Cleaning done"
	@echo

=== debian/changelog ===
octave-netcdf (1.0.14-1) unstable; urgency=medium

  * New upstream version 1.0.14
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Sun, 18 Oct 2020 03:56:25 -0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Rafael Laboissière <rafael@debian.org>,
+Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.7.1),
                libnetcdf-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://octave.sourceforge.io/netcdf/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-netcdf.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-netcdf

=== debian/watch ===
version=4
http://sf.net/octave/netcdf-(.+)\.tar\.gz

## octave-netcdf 1.0.16

=== DESCRIPTION ===
Name: netcdf
Version: 1.0.16
Date: 2022-09-16
Author: Alexander Barth <barth.alexander@gmail.com>
Maintainer: John Donoghue <john.donoghue@ieee.org>
Title: netcdf
Description: A NetCDF interface for Octave
Depends: octave (>= 4.0.0)
BuildRequires: netcdf-devel [Fedora]
 libnetcdf-dev [Debian], netcdf-bin [Debian]
License: GPLv3+
Url: http://octave.sf.net

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,24 @@
 GREP ?= grep
 CUT ?= cut
 TR ?= tr
+TEXI2PDF  ?= texi2pdf -q
+MAKEINFO  ?= makeinfo
+
+# work out a possible help generator
+ifeq ($(strip $(QHELPGENERATOR)),)
+  ifneq ($(shell qhelpgenerator-qt5 -v 2>/dev/null),)
+    QHELPGENERATOR = qhelpgenerator-qt5
+  else ifneq ($(shell qcollectiongenerator-qt5 -v 2>/dev/null),)
+    QHELPGENERATOR = qcollectiongenerator-qt5
+  else ifneq ($(shell qcollectiongenerator -qt5 -v 2>/dev/null),)
+    QHELPGENERATOR = qcollectiongenerator -qt5
+  #else ifneq ($(shell qhelpgenerator -qt5 -v 2>/dev/null),)
+  #  # qt4 version wont error on-qt5 but also wont work
+  #  QHELPGENERATOR = qhelpgenerator -qt5
+  else
+    QHELPGENERATOR = true
+  endif
+endif
 
 ## Note the use of ':=' (immediate set) and not just '=' (lazy set).
 ## http://stackoverflow.com/a/448939/1609556
@@ -136,6 +154,10 @@
 ifneq (,$(wildcard src/autogen.sh))
 	cd "$@/src" && ./autogen.sh && $(RM) -r "autom4te.cache"
 endif
+ifneq (,$(wildcard doc))
+	$(MAKE) -C "$@" docs
+	cd "$@" && $(RM) -f doc/mkfuncdocs.py doc/mkqhcp.py
+endif
 ## Uncomment this if your src/Makefile.in has these targets for
 ## pre-building something for the release (e.g. documentation).
 #	cd "$@/src" && ./configure && $(MAKE) prebuild && \
@@ -151,6 +173,11 @@
 html_options = --eval 'options = get_html_options ("octave-forge");' 
 #html_options = --eval 'options = get_html_options ("octave-forge");' \
 #               --eval 'options.package_doc = "$(package).texi";'
+ifneq (,$(wildcard doc))
+html_options += \
+	       --eval 'options.package_doc = "octave-$(package).texi";' \
+	       --eval 'options.package_doc_options = [options.package_doc_options " --css-include=octave-$(package).css"];'
+endif
 $(html_dir): $(install_stamp)
 	$(RM) -r "$@";
 	$(run_in_place)                    \
@@ -230,6 +257,34 @@
 check: $(install_stamp)
 	$(run_in_place) --eval $(octave_test_commands)
 
+## 
+## Docs
+##
+.PHONY: docs
+docs: doc/octave-$(package).pdf doc/octave-$(package).html doc/octave-$(package).qhc
+
+clean-docs:
+	$(RM) -f doc/octave-$(package).info
+	$(RM) -f doc/octave-$(package).pdf
+	$(RM) -f doc/octave-$(package).html
+	$(RM) -f doc/functions.texi
+	$(RM) -f doc/octave-$(package).qhc doc/octave-$(package).qch
+
+doc/octave-$(package).pdf: doc/octave-$(package).texi doc/functions.texi
+	cd doc && SOURCE_DATE_EPOCH=$(GIT_TIMESTAMP) $(TEXI2PDF) octave-$(package).texi
+	# remove temp files
+	cd doc && $(RM) -f octave-$(package).aux  octave-$(package).cp  octave-$(package).cps  octave-$(package).fn  octave-$(package).fns  octave-$(package).log  octave-$(package).toc
+
+doc/octave-$(package).html: doc/octave-$(package).texi doc/functions.texi
+	cd doc && SOURCE_DATE_EPOCH=$(GIT_TIMESTAMP) $(MAKEINFO) --html --css-ref=octave-$(package).css  --no-split --output=octave-${package}.html octave-$(package).texi
+
+doc/functions.texi:
+	cd doc && ./mkfuncdocs.py --src-dir=../inst/ --src-dir=../src/ --allowscan ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi
+
+doc/octave-$(package).qhc: doc/octave-$(package).html
+	# try also create qch file if can
+	cd doc && ./mkqhcp.py octave-$(package) && $(QHELPGENERATOR) octave-$(package).qhcp -o octave-$(package).qhc
+	cd doc && $(RM) octave-$(package).qhcp octave-$(package).qhp
 
 ##
 ## CLEAN
@@ -237,9 +292,9 @@
 
 .PHONY: clean
 
-clean: clean-tarballs clean-unpacked-release clean-install
+clean: clean-tarballs clean-unpacked-release clean-install clean-docs
 	@echo "## Removing target directory (if empty)..."
-	-rmdir $(target_dir)
+	-test -e $(target_dir) && rmdir $(target_dir)
 	@echo
 	@echo "## Cleaning done"
 	@echo

=== debian/changelog ===
octave-netcdf (1.0.16-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.

  [ Rafael Laboissière ]
  * d/copyright: Update Copyright notices for debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 09:33:01 -0300

octave-netcdf (1.0.16-1) unstable; urgency=medium

  * New upstream version 1.0.16
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warnings source-is-missing
    and debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Sun, 18 Sep 2022 14:21:55 -0300

octave-netcdf (1.0.15-1) unstable; urgency=medium

  * New upstream version 1.0.15
  * d/p/add-distclean-target.patch; Drop patch (applied upstream)
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Sep 2022 06:08:02 -0300

octave-netcdf (1.0.14-2) unstable; urgency=medium

  * Set upstream metadata fields: Archive.
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * Proper cleaning of files generated by the configure script
    + d/clean, d/s/options: Drop obsolete files
    + d/control: Build-depend on dh-octave >= 1.2.3
    + d/p/add-distclean-target.patch: New patch
  * d/copyright:
    + Accentuate my family name
    + Update copyright years for debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Mon, 11 Jul 2022 10:01:58 -0300

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1),
+               dh-octave (>= 1.2.3),
+               dh-sequence-octave,
                libnetcdf-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://octave.sourceforge.io/netcdf/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-netcdf.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-netcdf

## octave-netcdf 1.0.17

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ## Copyright 2015-2016 Oliver Heimlich
 ## Copyright 2017 Julien Bect <jbect@users.sf.net>
 ## Copyright 2017 Olaf Till <i7tiol@t-online.de>
-## Copyright 2018 John Donoghue <john.donoghue@ieee.org>
+## Copyright 2018-2023 John Donoghue <john.donoghue@ieee.org>
 ##
 ## Copying and distribution of this file, with or without modification,
 ## are permitted in any medium without royalty provided the copyright
@@ -40,6 +40,7 @@
 package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
 $(TR) '[:upper:]' '[:lower:]')
 version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")
+pkg_date := $(shell $(GREP) "^Date: " DESCRIPTION | $(CUT) -f2 -d" ")
 
 ## These are the paths that will be created for the releases.
 target_dir       := target
@@ -158,6 +159,7 @@
 	$(MAKE) -C "$@" docs
 	cd "$@" && $(RM) -f doc/mkfuncdocs.py doc/mkqhcp.py
 endif
+	cd "$@" && $(RM) -rf devel
 ## Uncomment this if your src/Makefile.in has these targets for
 ## pre-building something for the release (e.g. documentation).
 #	cd "$@/src" && ./configure && $(MAKE) prebuild && \
@@ -268,17 +270,25 @@
 	$(RM) -f doc/octave-$(package).pdf
 	$(RM) -f doc/octave-$(package).html
 	$(RM) -f doc/functions.texi
+	$(RM) -f doc/version.texi
 	$(RM) -f doc/octave-$(package).qhc doc/octave-$(package).qch
 
-doc/octave-$(package).pdf: doc/octave-$(package).texi doc/functions.texi
+doc/version.texi: $(release_dir_dep)
+	@echo Generating $@
+	@echo "@c autogenerated from Makefile" > $@
+	@echo "@set VERSION $(version)" >> $@
+	@echo "@set PACKAGE $(package)" >> $@
+	@echo "@set DATE $(pkg_date)" >> $@
+
+doc/octave-$(package).pdf: doc/octave-$(package).texi doc/functions.texi doc/version.texi
 	cd doc && SOURCE_DATE_EPOCH=$(GIT_TIMESTAMP) $(TEXI2PDF) octave-$(package).texi
 	# remove temp files
 	cd doc && $(RM) -f octave-$(package).aux  octave-$(package).cp  octave-$(package).cps  octave-$(package).fn  octave-$(package).fns  octave-$(package).log  octave-$(package).toc
 
-doc/octave-$(package).html: doc/octave-$(package).texi doc/functions.texi
+doc/octave-$(package).html: doc/octave-$(package).texi doc/functions.texi doc/version.texi
 	cd doc && SOURCE_DATE_EPOCH=$(GIT_TIMESTAMP) $(MAKEINFO) --html --css-ref=octave-$(package).css  --no-split --output=octave-${package}.html octave-$(package).texi
 
-doc/functions.texi:
+doc/functions.texi: $(release_dir_dep)
 	cd doc && ./mkfuncdocs.py --src-dir=../inst/ --src-dir=../src/ --allowscan ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi
 
 doc/octave-$(package).qhc: doc/octave-$(package).html

=== debian/changelog ===
octave-netcdf (1.0.17-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:10:44 +1100

octave-netcdf (1.0.17-2build1) noble; urgency=high

  * No change rebuild against libnetcdf19t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:46:31 +0100

octave-netcdf (1.0.17-2) unstable; urgency=medium

  * d/u/metadata:
    + Add upstream repository URL
    + Update Bug-Database URL
  * Build and install Qt Help files
    + d/control:
      - Build-depend on dh-octave >= 1.8.0
      - Build-depend on python3
    + d/patches/add-mkfuncdocs-py.patch: New patch
    + d/patches/add-mkqhcp-py.patch: New patch
    + d/rules: Use upstream Makefile for building the documentation
  * Build and install info documentation
    + d/octave-netcdf.doc-base: Add stanza for the info file
    + d/octave-netcdf.info: New file
    + d/rules: Build doc/octave-netcdf.info
  * d/s/lintian-overrides: Add override for Lintian warning
    very-long-line-length-in-source-file
  * d/octave-netcdf.docs: Install the CSS file

 -- Rafael Laboissière <rafael@debian.org>  Sun, 28 Jan 2024 11:57:59 -0300

octave-netcdf (1.0.17-1) unstable; urgency=medium

  * New upstream version 1.0.17
  * d/copyright
    - Reflect upstream changes
    - Update Source URL
  * d/control:
    - Bump Standards-Version to 4.6.2 (no changes needed)
    - Update Homepage URL
  * Build and install the upstream documentation

 -- Rafael Laboissière <rafael@debian.org>  Fri, 22 Sep 2023 00:39:06 -0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: octave-netcdf
 Section: math
 Priority: optional
-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 1.2.3),
+               dh-octave (>= 1.8.0),
                dh-sequence-octave,
-               libnetcdf-dev
-Standards-Version: 4.6.1
-Homepage: https://octave.sourceforge.io/netcdf/
+               libnetcdf-dev,
+               python3,
+               texlive
+Standards-Version: 4.6.2
+Homepage: https://gnu-octave.github.io/packages/netcdf/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-netcdf.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-netcdf
 Testsuite: autopkgtest-pkg-octave

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_before_dh_auto_build:
	chmod +x doc/mkfuncdocs.py doc/mkqhcp.py
	make -k docs doc/octave-netcdf.info
endif

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/netcdf/ \
  https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/netcdf-(.+).tar.gz

## octave-netcdf 1.0.18

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,7 @@
 TR ?= tr
 TEXI2PDF  ?= texi2pdf -q
 MAKEINFO  ?= makeinfo
+MAKEINFO_HTML_OPTIONS := --no-headers --set-customization-variable 'COPIABLE_LINKS 0' --set-customization-variable 'COPIABLE_ANCHORS 0' --no-split 
 
 # work out a possible help generator
 ifeq ($(strip $(QHELPGENERATOR)),)
@@ -41,6 +42,7 @@
 $(TR) '[:upper:]' '[:lower:]')
 version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")
 pkg_date := $(shell $(GREP) "^Date: " DESCRIPTION | $(CUT) -f2 -d" ")
+pkg_year := $(shell $(GREP) "^Date: " DESCRIPTION | $(CUT) -f2 -d" " | $(CUT) -f1 -d"-")
 
 ## These are the paths that will be created for the releases.
 target_dir       := target
@@ -157,7 +159,7 @@
 endif
 ifneq (,$(wildcard doc))
 	$(MAKE) -C "$@" docs
-	cd "$@" && $(RM) -f doc/mkfuncdocs.py doc/mkqhcp.py
+	#cd "$@" && $(RM) -f doc/mkfuncdocs.py doc/mkqhcp.py
 endif
 	cd "$@" && $(RM) -rf devel
 ## Uncomment this if your src/Makefile.in has these targets for
@@ -279,6 +281,7 @@
 	@echo "@set VERSION $(version)" >> $@
 	@echo "@set PACKAGE $(package)" >> $@
 	@echo "@set DATE $(pkg_date)" >> $@
+	@echo "@set YEAR $(pkg_year)" >> $@
 
 doc/octave-$(package).pdf: doc/octave-$(package).texi doc/functions.texi doc/version.texi
 	cd doc && SOURCE_DATE_EPOCH=$(GIT_TIMESTAMP) $(TEXI2PDF) octave-$(package).texi
@@ -286,15 +289,18 @@
 	cd doc && $(RM) -f octave-$(package).aux  octave-$(package).cp  octave-$(package).cps  octave-$(package).fn  octave-$(package).fns  octave-$(package).log  octave-$(package).toc
 
 doc/octave-$(package).html: doc/octave-$(package).texi doc/functions.texi doc/version.texi
-	cd doc && SOURCE_DATE_EPOCH=$(GIT_TIMESTAMP) $(MAKEINFO) --html --css-ref=octave-$(package).css  --no-split --output=octave-${package}.html octave-$(package).texi
+	cd doc && SOURCE_DATE_EPOCH=$(GIT_TIMESTAMP) $(MAKEINFO) --html --css-ref=octave-$(package).css  $(MAKEINFO_HTML_OPTIONS)  --output=octave-${package}.html octave-$(package).texi
 
 doc/functions.texi: $(release_dir_dep)
 	cd doc && ./mkfuncdocs.py --src-dir=../inst/ --src-dir=../src/ --allowscan ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi
 
 doc/octave-$(package).qhc: doc/octave-$(package).html
-	# try also create qch file if can
+ifeq ($(QHELPGENERATOR),true)
+	$(warning No QHELPGENERATOR ... skipping QT doc build)
+else
 	cd doc && ./mkqhcp.py octave-$(package) && $(QHELPGENERATOR) octave-$(package).qhcp -o octave-$(package).qhc
 	cd doc && $(RM) octave-$(package).qhcp octave-$(package).qhp
+endif
 
 ##
 ## CLEAN
@@ -306,6 +312,3 @@
 	@echo "## Removing target directory (if empty)..."
 	-test -e $(target_dir) && rmdir $(target_dir)
 	@echo
-	@echo "## Cleaning done"
-	@echo
-

=== debian/changelog ===
octave-netcdf (1.0.18-2) unstable; urgency=medium

  * d/rules: Explicitly make docs before doc/octave-netcdf.info.
    This avoids a race condition when using GNUMAKEFLAGS=--shuffle.
    (Closes: #1105435)
  * d/watch: Convert to format version 5
  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/s/lintian-overrides: Adjust override for
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Tue, 16 Sep 2025 13:41:29 -0300

octave-netcdf (1.0.18-1) unstable; urgency=medium

  * New upstream version 1.0.18
  * d/control:
    + Bump Standards-Version to 4.7.0 (no changes needed)
    + Resctrict build-dependencies needed for building the
      documentation to the "!nodoc" profile
  * Drop patches (applied upstream):
    + d/p/add-mkfuncdocs-py.patch:
    + d/p/add-mkqhcp-py.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 29 Sep 2024 09:07:09 -0300

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,19 @@
 Source: octave-netcdf
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
+Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 1.8.0),
                dh-sequence-octave,
                libnetcdf-dev,
-               python3,
-               texlive
-Standards-Version: 4.6.2
+               python3 <!nodoc>,
+               texlive <!nodoc>
+Standards-Version: 4.7.2
 Homepage: https://gnu-octave.github.io/packages/netcdf/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-netcdf.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-netcdf
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-netcdf
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,6 @@
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 execute_before_dh_auto_build:
 	chmod +x doc/mkfuncdocs.py doc/mkqhcp.py
-	make -k docs doc/octave-netcdf.info
+	make -k docs
+	make -k doc/octave-netcdf.info
 endif

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/netcdf/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/netcdf-(.+).tar.gz

## octave-netcdf 1.0.19

=== DESCRIPTION ===
Name: netcdf
Version: 1.0.19
Date: 2025-01-03
Author: Alexander Barth <barth.alexander@gmail.com>
Maintainer: John Donoghue <john.donoghue@ieee.org>
Title: netcdf
Description: A NetCDF interface for Octave
Depends: octave (>= 4.0.0)
BuildRequires: netcdf-devel [Fedora]
 libnetcdf-dev [Debian], netcdf-bin [Debian]
License: GPLv3+
Url: https://gnu-octave.github.io/octave-netcdf/
Repository: https://github.com/gnu-octave/octave-netcdf/
Tracker: https://github.com/gnu-octave/octave-netcdf/issues

=== debian/changelog ===
octave-netcdf (1.0.19-1) unstable; urgency=medium

  * New upstream version 1.0.19
  * d/s/lintian-overrides: Drop unused override for
    debian-watch-lacks-sourceforge-redirector
  * d/copyright: Reflect upstream changes
  * d/u/metadata: Update upstream URLs
  * d/watch: Update location of upstream tarball
  * d/control:
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3
  * d/salsa-ci.yml: Add CI pipeline

 -- Rafael Laboissière <rafael@debian.org>  Sun, 25 Jan 2026 09:30:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: octave-netcdf
 Section: math
-Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -9,7 +8,7 @@
                libnetcdf-dev,
                python3 <!nodoc>,
                texlive <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gnu-octave.github.io/packages/netcdf/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-netcdf.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-netcdf

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/netcdf/
Matching-Pattern: https://github.com/gnu-octave/octave-netcdf/releases/download/.*/netcdf-@ANY_VERSION@@ARCHIVE_EXT@
